function [allspikedata]=getspikes(fname, alltrdx)
% function [allspikedata]=getspikes(fname, alltrdx)
% reads spikes data and returns it.
% 
% (C) P. Sykacek 2005

[fstruc]=readdef(fname);
nsys=length(fstruc);
for n=1:nsys
    fname=fstruc(n).trfnam;
    s=load(fname);
    if isfield(s, 'spikedata');
        spikedata=s.spikedata(alltrdx{n},:);
    else
        spikedata=[];
    end
    allspikedata{n}=spikedata;
end
